App::KGB::Client::Fake(3pm)

NAME
App::KGB::Client::Fake - Fake KGB client

SYNOPSIS
    use App::KGB::Client::Fake;
    my $client = App::KGB::Client::Fake(
        # common App::KGB::Client parameters
        repo_id => 'my-repo',
        ...
    );
    $client->process;

DESCRIPTION
App::KGB::Client::Fake generates a fake commit. It is useful when testing client-server communication separately from SCM setup. See kgb-client(1)'s "--fake" option.

CONSTRUCTOR

  new ()
Standard constructor. Accepts no arguments.

FIELDS
None.

METHODS

describe_commit
    The first time this method is called, it returns an instance of App::KGB::Commit containing random information.

    All subsequential invocations return undef.